# XQilla Simple API Documentation

# xercesc::XMLFormatter Class Reference

This class provides the basic formatting capabilities that are required to turn the Unicode based XML data from the parsers into a form that can be used on non-Unicode based systems, that is, into local or generic text encodings. More...

`#include <XMLFormatter.hpp>`

Inheritance diagram for xercesc::XMLFormatter:
[legend]

List of all members.

## Public Types

Public Constants
enum | EscapeFlags { NoEscapes, StdEscapes, AttrEscapes, CharEscapes, EscapeFlags_Count, DefaultEscape = 999 }
| EscapeFlags - Different styles of escape flags to control various formatting. More...
enum | UnRepFlags { UnRep_Fail, UnRep_CharRef, UnRep_Replace, DefaultUnRep = 999 }
| UnRepFlags. More...

## Public Member Functions

Constructor and Destructor
| XMLFormatter (const XMLCh *const outEncoding, const XMLCh *const docVersion, XMLFormatTarget *const target, const EscapeFlags escapeFlags=NoEscapes, const UnRepFlags unrepFlags=UnRep_Fail, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| XMLFormatter (const char *const outEncoding, const char *const docVersion, XMLFormatTarget *const target, const EscapeFlags escapeFlags=NoEscapes, const UnRepFlags unrepFlags=UnRep_Fail, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| XMLFormatter (const XMLCh *const outEncoding, XMLFormatTarget *const target, const EscapeFlags escapeFlags=NoEscapes, const UnRepFlags unrepFlags=UnRep_Fail, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| XMLFormatter (const char *const outEncoding, XMLFormatTarget *const target, const EscapeFlags escapeFlags=NoEscapes, const UnRepFlags unrepFlags=UnRep_Fail, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| ~XMLFormatter ()
Formatting methods
void | formatBuf (const XMLCh *const toFormat, const XMLSize_t count, const EscapeFlags escapeFlags=DefaultEscape, const UnRepFlags unrepFlags=DefaultUnRep)
XMLFormatter & | operator<< (const XMLCh *const toFormat)
XMLFormatter & | operator<< (const XMLCh toFormat)
void | writeBOM (const XMLByte *const toFormat, const XMLSize_t count)
Getter methods
const XMLCh * | getEncodingName () const
const XMLTranscoder * | getTranscoder () const
XMLTranscoder * | getTranscoder ()
Setter methods
void | setEscapeFlags (const EscapeFlags newFlags)
void | setUnRepFlags (const UnRepFlags newFlags)
XMLFormatter & | operator<< (const EscapeFlags newFlags)
XMLFormatter & | operator<< (const UnRepFlags newFlags)
EscapeFlags | getEscapeFlags () const
UnRepFlags | getUnRepFlags () const

## Detailed Description

This class provides the basic formatting capabilities that are required to turn the Unicode based XML data from the parsers into a form that can be used on non-Unicode based systems, that is, into local or generic text encodings.

A number of flags are provided to control whether various optional formatting operations are performed.

## Member Enumeration Documentation

enum xercesc::XMLFormatter::EscapeFlags

EscapeFlags - Different styles of escape flags to control various formatting.

`NoEscapes:` No character needs to be escaped. Just write them out as is.

`StdEscapes:` The following characters need to be escaped:

character | should be escaped and written as
& | &amp;
> | &gt;
" | &quot;
< | &lt;
' | &apos;

`AttrEscapes:` The following characters need to be escaped:

character | should be escaped and written as
& | &amp;
> | &gt;
" | &quot;

`CharEscapes:` The following characters need to be escaped:

character | should be escaped and written as
& | &amp;
> | &gt;

`EscapeFlags_Count:` Special value, do not use directly.

`DefaultEscape:` Special value, do not use directly.

Enumerator:

  NoEscapes |
  StdEscapes |
  AttrEscapes |
  CharEscapes |
  EscapeFlags_Count |
  DefaultEscape |

enum xercesc::XMLFormatter::UnRepFlags

UnRepFlags.

The unrepresentable flags that indicate how to react when a character cannot be represented in the target encoding.

`UnRep_Fail:` Fail the operation.

`UnRep_CharRef:` Display the unrepresented character as reference.

`UnRep_Replace:` Replace the unrepresented character with the replacement character.

`DefaultUnRep:` Special value, do not use directly.

Enumerator:

  UnRep_Fail |
  UnRep_CharRef |
  UnRep_Replace |
  DefaultUnRep |

## Constructor & Destructor Documentation

xercesc::XMLFormatter::XMLFormatter | ( | const XMLCh *const | outEncoding,
|  | const XMLCh *const | docVersion,
|  | XMLFormatTarget *const | target,
|  | const EscapeFlags | escapeFlags = `NoEscapes`,
|  | const UnRepFlags | unrepFlags = `UnRep_Fail`,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |

Parameters:

  | outEncoding | the encoding for the formatted content.
  | docVersion | the document version.
  | target | the formatTarget where the formatted content is written to.
  | escapeFlags | the escape style for certain character.
  | unrepFlags | the reaction to unrepresentable character.
  | manager | Pointer to the memory manager to be used to allocate objects.

xercesc::XMLFormatter::XMLFormatter | ( | const char *const | outEncoding,
|  | const char *const | docVersion,
|  | XMLFormatTarget *const | target,
|  | const EscapeFlags | escapeFlags = `NoEscapes`,
|  | const UnRepFlags | unrepFlags = `UnRep_Fail`,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |

xercesc::XMLFormatter::XMLFormatter | ( | const XMLCh *const | outEncoding,
|  | XMLFormatTarget *const | target,
|  | const EscapeFlags | escapeFlags = `NoEscapes`,
|  | const UnRepFlags | unrepFlags = `UnRep_Fail`,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |

xercesc::XMLFormatter::XMLFormatter | ( | const char *const | outEncoding,
|  | XMLFormatTarget *const | target,
|  | const EscapeFlags | escapeFlags = `NoEscapes`,
|  | const UnRepFlags | unrepFlags = `UnRep_Fail`,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |

xercesc::XMLFormatter::~XMLFormatter | ( |  | ) |

## Member Function Documentation

void xercesc::XMLFormatter::formatBuf | ( | const XMLCh *const | toFormat,
|  | const XMLSize_t | count,
|  | const EscapeFlags | escapeFlags = `DefaultEscape`,
|  | const UnRepFlags | unrepFlags = `DefaultUnRep` |
| ) |  |  |

Parameters:

  | toFormat | the string to be formatted
  | count | length of the string
  | escapeFlags | the escape style for formatting toFormat
  | unrepFlags | the reaction for any unrepresentable character in toFormat

const XMLCh * xercesc::XMLFormatter::getEncodingName | ( |  | ) | const`[inline]`

Returns:
  return the encoding set for the formatted content

XMLFormatter::EscapeFlags xercesc::XMLFormatter::getEscapeFlags | ( |  | ) | const`[inline]`

Returns:
  return the escape style for the formatted content

XMLTranscoder * xercesc::XMLFormatter::getTranscoder | ( |  | ) | `[inline]`

Returns:
  return the transcoder used internally for transcoding the formatter content

const XMLTranscoder * xercesc::XMLFormatter::getTranscoder | ( |  | ) | const`[inline]`

Returns:
  return constant transcoder used internally for transcoding the formatter conent

XMLFormatter::UnRepFlags xercesc::XMLFormatter::getUnRepFlags | ( |  | ) | const`[inline]`

Returns:
  return the reaction for unrepresentable character

XMLFormatter & xercesc::XMLFormatter::operator<< | ( | const UnRepFlags | newFlags | ) | `[inline]`

Parameters:

  | newFlags | set the reaction for unrepresentable character

See also:
  setUnRepFlags

XMLFormatter & xercesc::XMLFormatter::operator<< | ( | const EscapeFlags | newFlags | ) | `[inline]`

Parameters:

  | newFlags | set the escape style for the follow-on formatted content

See also:
  setEscapeFlags

XMLFormatter& xercesc::XMLFormatter::operator<< | ( | const XMLCh | toFormat | ) |

XMLFormatter& xercesc::XMLFormatter::operator<< | ( | const XMLCh *const | toFormat | ) |

See also:
  formatBuf

void xercesc::XMLFormatter::setEscapeFlags | ( | const EscapeFlags | newFlags | ) | `[inline]`

Parameters:

  | newFlags | set the escape style for the follow-on formatted content

void xercesc::XMLFormatter::setUnRepFlags | ( | const UnRepFlags | newFlags | ) | `[inline]`

Parameters:

  | newFlags | set the reaction for unrepresentable character

void xercesc::XMLFormatter::writeBOM | ( | const XMLByte *const | toFormat,
|  | const XMLSize_t | count |
| ) |  |  |

The documentation for this class was generated from the following file:

- XMLFormatter.hpp